Subject: Re: [PATCH 2/2] MAINTAINERS: Make cxl obsolete

From: Michael Ellerman <[email-masked]>
Date: Wed, 10 Apr 2024 21:38:44 +1000

Christophe Leroy <[email-masked]> writes:
> Le 09/04/2024 à 06:37, Michael Ellerman a écrit :
>> Andrew Donnellan <[email-masked]> writes:
>>> The cxl driver is no longer actively maintained and we intend to remove it
>>> in a future kernel release. Change its status to obsolete, and update the
>>> sysfs ABI documentation accordingly.
>>>
>>> Signed-off-by: Andrew Donnellan <[email-masked]>
>>> ---
>>>   Documentation/ABI/{testing => obsolete}/sysfs-class-cxl | 3 +++
>>>   MAINTAINERS                                             | 4 ++--
>>>   2 files changed, 5 insertions(+), 2 deletions(-)
>>>   rename Documentation/ABI/{testing => obsolete}/sysfs-class-cxl (99%)
>> 
>> This is a good start, but I suspect if there are any actual users they
>> are not going to be monitoring the status of cxl in the MAINTAINERS file :)
>> 
>> I think we should probably modify Kconfig so that anyone who's using cxl
>> on purpose has some chance to notice before we remove it.
>> 
>> Something like the patch below. Anyone who has an existing config and
>> runs oldconfig will get a prompt, eg:
>> 
>>    Deprecated support for IBM Coherent Accelerators (CXL) (DEPRECATED_CXL) [N/m/y/?] (NEW)
>> 
>> Folks who just use defconfig etc. won't notice any change which is a
>> pity. We could also change the default to n, but that risks breaking
>> someone's machine. Maybe we do that in a another releases time.
>
> When I boot one of my boards I see:
>
> [    0.641090] mcr3000-hwmon 10000800.hwmon: hwmon_device_register() is 
> deprecated. Please convert the driver to use 
> hwmon_device_register_with_info().
>
> Could we do something similar, write a message at boottime when the CXL 
> driver gets probed ?

Yeah, I think so.

There's still the problem that people tend not to look at dmesg until
something breaks, but at least we can try and get their attention.

cheers